# Uses of Interface
org.eclipse.text.edits.ISourceModifier

Packages that use ISourceModifier
Package
Description
org.eclipse.text.edits
Provides support for describing and applying textual document editions.

## Uses of ISourceModifier in org.eclipse.text.edits

Methods in org.eclipse.text.edits that return ISourceModifier
Modifier and Type
Method
Description
`ISourceModifier`
ISourceModifier.`copy()`
Creates a copy of this source modifier object.
`ISourceModifier`
CopySourceEdit.`getSourceModifier()`
Returns the current source modifier or `null` if no source modifier is set.
`ISourceModifier`
MoveSourceEdit.`getSourceModifier()`
Returns the current source modifier or `null` if no source modifier is set.
Methods in org.eclipse.text.edits with parameters of type ISourceModifier
Modifier and Type
Method
Description
`void`
CopySourceEdit.`setSourceModifier(ISourceModifier modifier)`
Sets the optional source modifier.
`void`
MoveSourceEdit.`setSourceModifier(ISourceModifier modifier)`
Sets the optional source modifier.